Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.table.fill
Class FillTableSubreport

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRFillElement
          net.sf.jasperreports.engine.fill.JRFillSubreport
              net.sf.jasperreports.components.table.fill.FillTableSubreport

All Implemented Interfaces:
  java.lang.Cloneable, JRFillCloneable, JRChild, JRCloneable, JRCommonElement, JRElement, JRPropertiesHolder, JRStyleContainer, JRStyleSetter, JRSubreport, JRVisitable

    public class FillTableSubreport

extends JRFillSubreport

Version:
  $Id: FillTableSubreport.java 3677 2010-04-02 11:39:11Z lucianc $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary

Fields inherited from class net.sf.jasperreports.engine.fill.JRFillSubreport
`subreportFiller`

Fields inherited from class net.sf.jasperreports.engine.fill.JRFillElement
`band, conditionalStylesContainer, currentEvaluation, currentStyle, defaultStyleProvider, delayedEvaluationsMap, dynamicProperties, elementGroup, expressionEvaluator, filler, initStyle, mergedProperties, originProvider, parent, printWhenGroupChanges, staticProperties, templates`

Fields inherited from interface net.sf.jasperreports.engine.JRElement
`MODE_OPAQUE, MODE_TRANSPARENT, POSITION_TYPE_FIX_RELATIVE_TO_BOTTOM, POSITION_TYPE_FIX_RELATIVE_TO_TOP, POSITION_TYPE_FLOAT, STRETCH_TYPE_NO_STRETCH, STRETCH_TYPE_RELATIVE_TO_BAND_HEIGHT, STRETCH_TYPE_RELATIVE_TO_TALLEST_OBJECT`

Constructor Summary
`protected` | `FillTableSubreport(JRBaseFiller filler, JRSubreport subreport, JRFillObjectFactory factory, JasperReport tableReport, java.util.Map<JRExpression,BuiltinExpressionEvaluator> builtinEvaluators)`

Method Summary
`protected void` | `cancelSubreportFill()`
`protected void` | `copyConnectionParameter(java.util.Map parameterValues)`
`protected void` | `copyResourceBundleParameter(java.util.Map parameterValues)`
`protected void` | `copyTemplatesParameter(java.util.Map parameterValues)`
`protected DatasetExpressionEvaluator` | `createEvaluator()`
`protected java.util.Map` | `evaluateParameterValues(byte evaluation)`
`protected JasperReport` | `evaluateReport(byte evaluation)`
`protected void` | `evaluateSubreport(byte evaluation)`
`protected int` | `getContentsStretchHeight()`
`protected java.util.Collection` | `getPrintElements()`
`protected java.util.List` | `getSubreportOrigins()`
`protected java.util.List` | `getSubreportStyles()`
`protected FillPrepareResult` | `prepareSubreport(int availableHeight, boolean isOverflow)`

Methods inherited from class net.sf.jasperreports.engine.fill.JRFillSubreport
`collectExpressions, copyValue, copyValues, createClone, createDistinctCountHelperReturnValue, createElementTemplate, createHelperReturnValue, evaluate, fill, fillSubreport, getConnectionExpression, getDataSourceExpression, getExpression, getJRTemplateRectangle, getModeValue, getParameters, getParametersMapExpression, getParameterValues, getParameterValues, getReturnValues, getRunnerFactory, initSubreportFiller, isOwnUsingCache, isRunToBottom, isUsingCache, loadReportEvaluator, prepare, resolveElement, rewind, saveReturnVariables, setRunToBottom, setUsingCache, setUsingCache, usesForReturnValue, validateReport, verifyBandHeights, visit`

Methods inherited from class net.sf.jasperreports.engine.fill.JRFillElement
`addDependantElement, clone, clone, collectDelayedEvaluations, collectDelayedEvaluations, collectDelayedEvaluations, collectStyleDelayedEvaluations, delayedEvaluate, evaluateExpression, evaluatePrintWhenExpression, evaluateProperties, getBackcolor, getBand, getDefaultStyleProvider, getDependantElements, getElementGroup, getElementOrigin, getElementTemplate, getEvaluatedProperties, getEvaluationTimeValue, getField, getForecolor, getGroupElements, getHeight, getKey, getMode, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getParentProperties, getPositionType, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertiesMap, getPropertyExpressions, getRelativeY, getStretchHeight, getStretchType, getStretchTypeValue, getStyle, getStyleNameReference, getTemplate, getVariable, getWidth, getX, getY, hasProperties, initDelayedEvaluationPrint, initDelayedEvaluations, isAlreadyPrinted, isAutoEvaluateNow, isDelayedStyleEvaluation, isEvaluateAuto, isEvaluateNow, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isPrintWhenExpressionNull, isPrintWhenTrue, isRemoveLineWhenBlank, isReprinted, isToPrint, isValueRepeating, moveDependantElements, performDelayedEvaluation, registerTemplate, reset, resolveElement, setAlreadyPrinted, setBackcolor, setBand, setConditionalStylesContainer, setCurrentEvaluation, setForecolor, setHeight, setMode, setMode, setMode, setOriginProvider, setPositionType, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setPrintWhenExpressionNull, setPrintWhenTrue, setRelativeY, setRemoveLineWhenBlank, setReprinted, setShrinkable, setStretchHeight, setStretchType, setStretchType, setStyle, setStyleNameReference, setToPrint, setValueRepeating, setWidth, setX, setY, stretchElement, stretchHeightFinal, transferProperties, transferProperties`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRElement
`getElementGroup, getKey, getPositionType, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchType, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setStretchType, setWidth, setX`

Methods inherited from interface net.sf.jasperreports.engine.JRChild
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement
`getBackcolor, getForecolor, getHeight, getMode, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode, setMode, setMode`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder
`getParentProperties, getPropertiesMap, hasProperties`

Constructor Detail

### FillTableSubreport

    protected FillTableSubreport(JRBaseFiller filler,
                                 JRSubreport subreport,
                                 JRFillObjectFactory factory,
                                 JasperReport tableReport,
                                 java.util.Map<JRExpression,BuiltinExpressionEvaluator> builtinEvaluators)

Method Detail

### evaluateReport

    protected JasperReport evaluateReport(byte evaluation)
                                   throws JRException

  Overrides:
    `evaluateReport` in class `JRFillSubreport`
  Throws:
    `JRException`

### createEvaluator

    protected DatasetExpressionEvaluator createEvaluator()
                                                  throws JRException

  Overrides:
    `createEvaluator` in class `JRFillSubreport`
  Throws:
    `JRException`

### evaluateSubreport

    protected void evaluateSubreport(byte evaluation)
                              throws JRException

  Overrides:
    `evaluateSubreport` in class `JRFillSubreport`
  Throws:
    `JRException`

### evaluateParameterValues

    protected java.util.Map evaluateParameterValues(byte evaluation)
                                             throws JRException

  Overrides:
    `evaluateParameterValues` in class `JRFillSubreport`
  Throws:
    `JRException`

### copyConnectionParameter

    protected void copyConnectionParameter(java.util.Map parameterValues)

### copyResourceBundleParameter

    protected void copyResourceBundleParameter(java.util.Map parameterValues)

### copyTemplatesParameter

    protected void copyTemplatesParameter(java.util.Map parameterValues)

### prepareSubreport

    protected FillPrepareResult prepareSubreport(int availableHeight,
                                                 boolean isOverflow)
                                          throws JRException

  Throws:
    `JRException`

### getPrintElements

    protected java.util.Collection getPrintElements()

  Overrides:
    `getPrintElements` in class `JRFillSubreport`

### getContentsStretchHeight

    protected int getContentsStretchHeight()

  Overrides:
    `getContentsStretchHeight` in class `JRFillSubreport`

### getSubreportStyles

    protected java.util.List getSubreportStyles()

### getSubreportOrigins

    protected java.util.List getSubreportOrigins()

### cancelSubreportFill

    protected void cancelSubreportFill()
                                throws JRException

  Overrides:
    `cancelSubreportFill` in class `JRFillSubreport`
  Throws:
    `JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com